Package org.springframework.security.config.authentication

# Class AuthenticationManagerBeanDefinitionParser

java.lang.Object
org.springframework.security.config.authentication.AuthenticationManagerBeanDefinitionParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

public class AuthenticationManagerBeanDefinitionParser extends Object implements org.springframework.beans.factory.xml.BeanDefinitionParser
Registers the central ProviderManager used by the namespace configuration, and allows the configuration of an alias, allowing users to reference it in their beans and clearly see where the name is coming from.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`AuthenticationManagerBeanDefinitionParser.NullAuthenticationProvider`
Provider which doesn't provide any service.

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationManagerBeanDefinitionParser()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.beans.factory.config.BeanDefinition`
`parse(Element element, org.springframework.beans.factory.xml.ParserContext pc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthenticationManagerBeanDefinitionParser

public AuthenticationManagerBeanDefinitionParser()

## Method Details

### parse

public org.springframework.beans.factory.config.BeanDefinition parse(Element element, org.springframework.beans.factory.xml.ParserContext pc)

Specified by:
  `parse` in interface `org.springframework.beans.factory.xml.BeanDefinitionParser`